//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL.DBEntities
{
    using System;
    using System.Collections.Generic;
    
    public partial class vt_Customers
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public vt_Customers()
        {
            this.vt_Cart = new HashSet<vt_Cart>();
            this.vt_CustomerAgreement = new HashSet<vt_CustomerAgreement>();
            this.vt_Subscription = new HashSet<vt_Subscription>();
        }
    
        public int ID { get; set; }
        public string Company { get; set; }
        public string CountryID { get; set; }
        public string CustomerMCID { get; set; }
        public string ResellerMPN_ID { get; set; }
        public string CompanyAccount { get; set; }
        public string Address1 { get; set; }
        public string Address2 { get; set; }
        public string City { get; set; }
        public string State_Province { get; set; }
        public string Zip { get; set; }
        public string PrimaryFirstName { get; set; }
        public string PrimaryLastName { get; set; }
        public string PrimaryEmail { get; set; }
        public string PrimaryPhone { get; set; }
        public Nullable<System.DateTime> Created { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public Nullable<bool> IsdirectResellar { get; set; }
        public Nullable<int> UserId { get; set; }
        public string Relationship { get; set; }
        public string CommerceId { get; set; }
        public string BillToCustomerNo { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<vt_Cart> vt_Cart { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<vt_CustomerAgreement> vt_CustomerAgreement { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<vt_Subscription> vt_Subscription { get; set; }
    }
}
